
_write_EEPROM:

;Interfacing External EEPROM with PIC Microcontroller.c,1 :: 		void write_EEPROM(unsigned int address, unsigned int dat)
;Interfacing External EEPROM with PIC Microcontroller.c,4 :: 		I2C1_Start(); // issue I2C start signal
	CALL       _I2C1_Start+0
;Interfacing External EEPROM with PIC Microcontroller.c,5 :: 		I2C1_Wr(0xA0); // send byte via I2C (device address + W)
	MOVLW      160
	MOVWF      FARG_I2C1_Wr_data_+0
	CALL       _I2C1_Wr+0
;Interfacing External EEPROM with PIC Microcontroller.c,6 :: 		temp = address >> 8;
	MOVF       FARG_write_EEPROM_address+1, 0
	MOVWF      R0+0
	CLRF       R0+1
;Interfacing External EEPROM with PIC Microcontroller.c,7 :: 		I2C1_Wr(temp);
	MOVF       R0+0, 0
	MOVWF      FARG_I2C1_Wr_data_+0
	CALL       _I2C1_Wr+0
;Interfacing External EEPROM with PIC Microcontroller.c,8 :: 		I2C1_Wr(address);
	MOVF       FARG_write_EEPROM_address+0, 0
	MOVWF      FARG_I2C1_Wr_data_+0
	CALL       _I2C1_Wr+0
;Interfacing External EEPROM with PIC Microcontroller.c,9 :: 		I2C1_Wr(dat); // send data (data to be written)
	MOVF       FARG_write_EEPROM_dat+0, 0
	MOVWF      FARG_I2C1_Wr_data_+0
	CALL       _I2C1_Wr+0
;Interfacing External EEPROM with PIC Microcontroller.c,10 :: 		I2C1_Stop(); // issue I2C stop signal
	CALL       _I2C1_Stop+0
;Interfacing External EEPROM with PIC Microcontroller.c,11 :: 		Delay_ms(20);
	MOVLW      52
	MOVWF      R12+0
	MOVLW      241
	MOVWF      R13+0
L_write_EEPROM0:
	DECFSZ     R13+0, 1
	GOTO       L_write_EEPROM0
	DECFSZ     R12+0, 1
	GOTO       L_write_EEPROM0
	NOP
	NOP
;Interfacing External EEPROM with PIC Microcontroller.c,12 :: 		}
	RETURN
; end of _write_EEPROM

_read_EEPROM:

;Interfacing External EEPROM with PIC Microcontroller.c,14 :: 		unsigned int read_EEPROM(unsigned int address)
;Interfacing External EEPROM with PIC Microcontroller.c,17 :: 		I2C1_Start(); // issue I2C start signal
	CALL       _I2C1_Start+0
;Interfacing External EEPROM with PIC Microcontroller.c,18 :: 		I2C1_Wr(0xA0); // send byte via I2C (device address + W)
	MOVLW      160
	MOVWF      FARG_I2C1_Wr_data_+0
	CALL       _I2C1_Wr+0
;Interfacing External EEPROM with PIC Microcontroller.c,19 :: 		temp = address >> 8;
	MOVF       FARG_read_EEPROM_address+1, 0
	MOVWF      R0+0
	CLRF       R0+1
	MOVF       R0+0, 0
	MOVWF      read_EEPROM_temp_L0+0
	MOVF       R0+1, 0
	MOVWF      read_EEPROM_temp_L0+1
;Interfacing External EEPROM with PIC Microcontroller.c,20 :: 		I2C1_Wr(temp);
	MOVF       R0+0, 0
	MOVWF      FARG_I2C1_Wr_data_+0
	CALL       _I2C1_Wr+0
;Interfacing External EEPROM with PIC Microcontroller.c,21 :: 		I2C1_Wr(address);
	MOVF       FARG_read_EEPROM_address+0, 0
	MOVWF      FARG_I2C1_Wr_data_+0
	CALL       _I2C1_Wr+0
;Interfacing External EEPROM with PIC Microcontroller.c,22 :: 		I2C1_Repeated_Start(); // issue I2C signal repeated start
	CALL       _I2C1_Repeated_Start+0
;Interfacing External EEPROM with PIC Microcontroller.c,23 :: 		I2C1_Wr(0xA1); // send byte (device address + R)
	MOVLW      161
	MOVWF      FARG_I2C1_Wr_data_+0
	CALL       _I2C1_Wr+0
;Interfacing External EEPROM with PIC Microcontroller.c,24 :: 		temp = I2C1_Rd(0u); // Read the data (NO acknowledge)
	CLRF       FARG_I2C1_Rd_ack+0
	CALL       _I2C1_Rd+0
	MOVF       R0+0, 0
	MOVWF      read_EEPROM_temp_L0+0
	CLRF       read_EEPROM_temp_L0+1
;Interfacing External EEPROM with PIC Microcontroller.c,25 :: 		I2C1_Stop();
	CALL       _I2C1_Stop+0
;Interfacing External EEPROM with PIC Microcontroller.c,26 :: 		return temp;
	MOVF       read_EEPROM_temp_L0+0, 0
	MOVWF      R0+0
	MOVF       read_EEPROM_temp_L0+1, 0
	MOVWF      R0+1
;Interfacing External EEPROM with PIC Microcontroller.c,27 :: 		}
	RETURN
; end of _read_EEPROM

_main:

;Interfacing External EEPROM with PIC Microcontroller.c,29 :: 		void main()
;Interfacing External EEPROM with PIC Microcontroller.c,32 :: 		TRISB  = 0;
	CLRF       TRISB+0
;Interfacing External EEPROM with PIC Microcontroller.c,33 :: 		PORTB = 0;
	CLRF       PORTB+0
;Interfacing External EEPROM with PIC Microcontroller.c,34 :: 		CMCON = 0x07;   // To turn off comparators
	MOVLW      7
	MOVWF      CMCON+0
;Interfacing External EEPROM with PIC Microcontroller.c,35 :: 		ADCON1 = 0x06;  // To turn off analog to digital converters
	MOVLW      6
	MOVWF      ADCON1+0
;Interfacing External EEPROM with PIC Microcontroller.c,36 :: 		I2C1_Init(100000);
	MOVLW      20
	MOVWF      SSPADD+0
	CALL       _I2C1_Init+0
;Interfacing External EEPROM with PIC Microcontroller.c,37 :: 		do
L_main1:
;Interfacing External EEPROM with PIC Microcontroller.c,39 :: 		for(i=0,a=1;i<8;i++)
	CLRF       main_i_L0+0
	CLRF       main_i_L0+1
	MOVLW      1
	MOVWF      main_a_L0+0
	MOVLW      0
	MOVWF      main_a_L0+1
L_main4:
	MOVLW      0
	SUBWF      main_i_L0+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main12
	MOVLW      8
	SUBWF      main_i_L0+0, 0
L__main12:
	BTFSC      STATUS+0, 0
	GOTO       L_main5
;Interfacing External EEPROM with PIC Microcontroller.c,41 :: 		write_EEPROM(i, a);
	MOVF       main_i_L0+0, 0
	MOVWF      FARG_write_EEPROM_address+0
	MOVF       main_i_L0+1, 0
	MOVWF      FARG_write_EEPROM_address+1
	MOVF       main_a_L0+0, 0
	MOVWF      FARG_write_EEPROM_dat+0
	MOVF       main_a_L0+1, 0
	MOVWF      FARG_write_EEPROM_dat+1
	CALL       _write_EEPROM+0
;Interfacing External EEPROM with PIC Microcontroller.c,42 :: 		Delay_ms(30);
	MOVLW      78
	MOVWF      R12+0
	MOVLW      235
	MOVWF      R13+0
L_main7:
	DECFSZ     R13+0, 1
	GOTO       L_main7
	DECFSZ     R12+0, 1
	GOTO       L_main7
;Interfacing External EEPROM with PIC Microcontroller.c,43 :: 		a = a<<1;
	RLF        main_a_L0+0, 1
	RLF        main_a_L0+1, 1
	BCF        main_a_L0+0, 0
;Interfacing External EEPROM with PIC Microcontroller.c,39 :: 		for(i=0,a=1;i<8;i++)
	INCF       main_i_L0+0, 1
	BTFSC      STATUS+0, 2
	INCF       main_i_L0+1, 1
;Interfacing External EEPROM with PIC Microcontroller.c,44 :: 		}
	GOTO       L_main4
L_main5:
;Interfacing External EEPROM with PIC Microcontroller.c,46 :: 		for(i=0;i<8;i++)
	CLRF       main_i_L0+0
	CLRF       main_i_L0+1
L_main8:
	MOVLW      0
	SUBWF      main_i_L0+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main13
	MOVLW      8
	SUBWF      main_i_L0+0, 0
L__main13:
	BTFSC      STATUS+0, 0
	GOTO       L_main9
;Interfacing External EEPROM with PIC Microcontroller.c,48 :: 		PORTB = read_EEPROM(i);
	MOVF       main_i_L0+0, 0
	MOVWF      FARG_read_EEPROM_address+0
	MOVF       main_i_L0+1, 0
	MOVWF      FARG_read_EEPROM_address+1
	CALL       _read_EEPROM+0
	MOVF       R0+0, 0
	MOVWF      PORTB+0
;Interfacing External EEPROM with PIC Microcontroller.c,49 :: 		Delay_ms(1000);
	MOVLW      11
	MOVWF      R11+0
	MOVLW      38
	MOVWF      R12+0
	MOVLW      93
	MOVWF      R13+0
L_main11:
	DECFSZ     R13+0, 1
	GOTO       L_main11
	DECFSZ     R12+0, 1
	GOTO       L_main11
	DECFSZ     R11+0, 1
	GOTO       L_main11
	NOP
	NOP
;Interfacing External EEPROM with PIC Microcontroller.c,46 :: 		for(i=0;i<8;i++)
	INCF       main_i_L0+0, 1
	BTFSC      STATUS+0, 2
	INCF       main_i_L0+1, 1
;Interfacing External EEPROM with PIC Microcontroller.c,50 :: 		}
	GOTO       L_main8
L_main9:
;Interfacing External EEPROM with PIC Microcontroller.c,51 :: 		}while(1);
	GOTO       L_main1
;Interfacing External EEPROM with PIC Microcontroller.c,52 :: 		}
	GOTO       $+0
; end of _main
