void write_EEPROM(unsigned int address, unsigned int dat)
{
  unsigned int temp;
  I2C1_Start(); // issue I2C start signal
  I2C1_Wr(0xA0); // send byte via I2C (device address + W)
  temp = address >> 8; //saving higher order address to temp
  I2C1_Wr(temp);       //sending higher order address
  I2C1_Wr(address); //sending lower order address
  I2C1_Wr(dat); // send data (data to be written)
  I2C1_Stop(); // issue I2C stop signal
  Delay_ms(20);
}

unsigned int read_EEPROM(unsigned int address)
{
  unsigned int temp;
  I2C1_Start(); // issue I2C start signal
  I2C1_Wr(0xA0); // send byte via I2C (device address + W)
  temp = address >> 8; //saving higher order address to temp
  I2C1_Wr(temp);       //sending higher order address
  I2C1_Wr(address);    //sending lower order address
  I2C1_Repeated_Start(); // issue I2C signal repeated start
  I2C1_Wr(0xA1); // send byte (device address + R)
  temp = I2C1_Rd(0u); // Read the data (NO acknowledge)
  I2C1_Stop();
  return temp;
}

void main()
{
   unsigned int a, i;
   TRISB  = 0;
   PORTB = 0;
   CMCON = 0x07;   // To turn off comparators
   ADCON1 = 0x06;  // To turn off analog to digital converters
   I2C1_Init(100000);
   do
   {
      for(i=0,a=1;i<8;i++)
      {
        write_EEPROM(i, a);
        Delay_ms(30);
        a = a<<1;
      }

      for(i=0;i<8;i++)
      {
         PORTB = read_EEPROM(i);
         Delay_ms(1000);
      }
   }while(1);
}